Bug 1409737 - Docker-registry pod cannot read/write to AzureFile volume
Summary: Docker-registry pod cannot read/write to AzureFile volume
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 3.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: hchen
QA Contact: Wenqi He
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-03 08:07 UTC by Vladislav Walek
Modified: 2020-02-14 18:24 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 16:06:10 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Vladislav Walek 2017-01-03 08:07:15 UTC
Description of problem:

The AzureFile is mounted as a CIFS volume on OSCP node and configured as /registry mount point to docker-registry service. The filesystem is mounted but pods are unable to read/write to the mounted path. The error is "ls: cannot open directory /registry: Permission denied" from inside the container when trying to list the content of directory "/registry". 
The configuration on openshift installation running v3.2.1.15 is working fine, not working on v3.2.1.21.
Customer disabled the SElinux to check and it was working. So the issue could be with SElinux. The boolean httpd_use_cifs is on.


Version-Release number of selected component (if applicable):

OpenShift Container Platform 3.2.1

How reproducible:

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.